## gate.config
Class ConfigDataProcessor

    java.lang.Object
      |
      +--gate.config.ConfigDataProcessor

public class ConfigDataProcessor
extends Object

This class parses `gate.xml` configuration data files.

Field Summary
`protected static boolean` `DEBUG` Debug flag
`protected javax.xml.parsers.SAXParser` `parser` The parser for the CREOLE directory files

Constructor Summary
`ConfigDataProcessor()` Default constructor.

Method Summary
`void` `parseConfigFile(InputStream configStream, URL configUrl)` Parse a config file (represented as an open stream).

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### DEBUG

    protected static final boolean DEBUG

  Debug flag

### parser

    protected javax.xml.parsers.SAXParser parser

  The parser for the CREOLE directory files

Constructor Detail

### ConfigDataProcessor

    public ConfigDataProcessor()
                        throws GateException

  Default constructor. Sets up config files parser.

Method Detail

### parseConfigFile

    public void parseConfigFile(InputStream configStream,
                                URL configUrl)
                         throws GateException

  Parse a config file (represented as an open stream).